Package org.eclipse.rdf4j.federated.evaluation.iterator

## Class FederatedDescribeIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.DescribeIteration
      - - org.eclipse.rdf4j.federated.evaluation.iterator.FederatedDescribeIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class FederatedDescribeIteration
      extends DescribeIteration

  Specialized `DescribeIteration` for evaluation of DESCRIBE queries in the federation. ‚
  Author:
    Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.DescribeIteration

      `parentBindings, VARNAME_OBJECT, VARNAME_PREDICATE, VARNAME_SUBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FederatedDescribeIteration​(Iteration<BindingSet,​QueryEvaluationException> sourceIter, FederationEvalStrategy strategy, Set<String> describeExprNames, BindingSet parentBindings, QueryInfo queryInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CloseableIteration<BindingSet,​QueryEvaluationException>` | `createNextIteration​(Value subject, Value object)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.DescribeIteration

      `getNextElement`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### FederatedDescribeIteration

          public FederatedDescribeIteration​(Iteration<BindingSet,​QueryEvaluationException> sourceIter,
                                            FederationEvalStrategy strategy,
                                            Set<String> describeExprNames,
                                            BindingSet parentBindings,
                                            QueryInfo queryInfo)

  - ### Method Detail

    - #### createNextIteration

          protected CloseableIteration<BindingSet,​QueryEvaluationException> createNextIteration​(Value subject,
                                                                                                      Value object)
                                                                                               throws QueryEvaluationException

      Overrides:
        `createNextIteration` in class `DescribeIteration`
      Throws:
        `QueryEvaluationException`